

#if !defined __VGEV_DATA_H
#define __VGEV_DATA_H


#include "vgev_symbol.h"


/* **************************************************************
************************************************************** */
class VGEVplatform_data : public platform_data {

   protected:
      canvas *tgev;
      
   public:
      // platform_data
      void label(dbl_llist_manager *label_manager) {}
      void update(double *machine_time);
      void render(iface *isim);
      int  init(iface *isim, correlate *basis, symbol_correlation_type *str);

      // VGEVplatform_data
      platform_symbol *symbol2D; // symbol index
      
      vector3d xyz;		// x, y, z
      vector3d orient;		// r, p, h
      string_type name;

      VGEVplatform_data(basic_platform *x);
      virtual ~VGEVplatform_data();

      void set_window(canvas *tg) { tgev = tg; }
};







#endif

